# DataExchange
TKIGES
Geom2dToIGES

# Geom2dToIGES_Geom2dEntity Class Reference

provides methods to transfer Geom2d entity from CASCADE to IGES.

`#include <Geom2dToIGES_Geom2dEntity.hxx>`

Inheritance diagram for Geom2dToIGES_Geom2dEntity:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Geom2dToIGES_Geom2dEntity ()
| Creates a tool Geom2dEntity .
Standard_EXPORT | Geom2dToIGES_Geom2dEntity (const Geom2dToIGES_Geom2dEntity &GE)
| Creates a tool ready to run and sets its fields as GE's. .
Standard_EXPORT void | SetModel (const Handle(IGESData_IGESModel)&model)
| Set the value of "TheModel" .
Standard_EXPORT Handle_IGESData_IGESModel | GetModel () const
| Returns the value of "TheModel" .
Standard_EXPORT void | SetUnit (const Standard_Real unit)
| Sets the value of the UnitFlag .
Standard_EXPORT Standard_Real | GetUnit () const
| Returns the value of the UnitFlag of the header of the model in millimeters. .

## Private Attributes

Handle_IGESData_IGESModel | TheModel
Standard_Real | TheUnitFactor

## Constructor & Destructor Documentation

Standard_EXPORT Geom2dToIGES_Geom2dEntity::Geom2dToIGES_Geom2dEntity | ( |  | ) |

Standard_EXPORT Geom2dToIGES_Geom2dEntity::Geom2dToIGES_Geom2dEntity | ( | const Geom2dToIGES_Geom2dEntity & | GE | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESModel Geom2dToIGES_Geom2dEntity::GetModel | ( |  | ) | const

Standard_EXPORT Standard_Real Geom2dToIGES_Geom2dEntity::GetUnit | ( |  | ) | const

void Geom2dToIGES_Geom2dEntity::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in Geom2dToIGES_Geom2dCurve, Geom2dToIGES_Geom2dPoint, and Geom2dToIGES_Geom2dVector.

void* Geom2dToIGES_Geom2dEntity::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in Geom2dToIGES_Geom2dCurve, Geom2dToIGES_Geom2dPoint, and Geom2dToIGES_Geom2dVector.

void* Geom2dToIGES_Geom2dEntity::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in Geom2dToIGES_Geom2dCurve, Geom2dToIGES_Geom2dPoint, and Geom2dToIGES_Geom2dVector.

Standard_EXPORT void Geom2dToIGES_Geom2dEntity::SetModel | ( | const Handle(IGESData_IGESModel)& | model | ) |

Standard_EXPORT void Geom2dToIGES_Geom2dEntity::SetUnit | ( | const Standard_Real | unit | ) |

## Field Documentation

Handle_IGESData_IGESModel Geom2dToIGES_Geom2dEntity::TheModel `[private]`

Standard_Real Geom2dToIGES_Geom2dEntity::TheUnitFactor `[private]`

The documentation for this class was generated from the following file:

- Geom2dToIGES_Geom2dEntity.hxx